
From: Torben Mathiasen <torben.mathiasen@hp.com>

After a lot of testing and measuring we decided to increase the read-ahead
for the CISS driver in 2.6 to 1MB.



---

 25-akpm/drivers/block/cciss.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/block/cciss.c~cciss-increase-vm-readahead drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-increase-vm-readahead	Wed Feb  4 13:57:02 2004
+++ 25-akpm/drivers/block/cciss.c	Wed Feb  4 13:57:02 2004
@@ -103,7 +103,7 @@ static struct board_type products[] = {
 /*define how many times we will try a command because of bus resets */
 #define MAX_CMD_RETRIES 3
 
-#define READ_AHEAD 	 128
+#define READ_AHEAD 	 256
 #define NR_CMDS		 384 /* #commands that can be outstanding */
 #define MAX_CTLR 8
 
@@ -2501,6 +2501,7 @@ static int __devinit cciss_init_one(stru
 	if (!q)
 		goto clean4;
 
+	q->backing_dev_info.ra_pages = READ_AHEAD;
 	hba[i]->queue = q;
 	q->queuedata = hba[i];
 

_
